Skip to content

Commands System

Total endpoints: 9 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER

Get Character Name

  • Endpoint: /api/v2/commands/get_character_name/
  • Function: Execute the get_character_name command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_character_name/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_character_name/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_character_name"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Language

  • Endpoint: /api/v2/commands/get_language/
  • Function: Execute the get_language command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_language/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_language/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_language"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Publishers

  • Endpoint: /api/v2/commands/get_publishers/
  • Function: Execute the get_publishers command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_publishers/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_publishers/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_publishers"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Subscribers

  • Endpoint: /api/v2/commands/get_subscribers/
  • Function: Execute the get_subscribers command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_subscribers/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_subscribers/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_subscribers"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Tts Language

  • Endpoint: /api/v2/commands/get_tts_language/
  • Function: Execute the get_tts_language command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_tts_language/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_tts_language/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_tts_language"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get User Control Mode

  • Endpoint: /api/v2/commands/get_user_control_mode/
  • Function: Execute the get_user_control_mode command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_user_control_mode/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_user_control_mode/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_user_control_mode"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Frontend Up To Date

  • Endpoint: /api/v2/commands/is_frontend_up_to_date/
  • Function: Execute the is_frontend_up_to_date command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_frontend_up_to_date/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_frontend_up_to_date/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_frontend_up_to_date"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set User Control Mode

  • Endpoint: /api/v2/commands/set_user_control_mode/
  • Function: Execute the set_user_control_mode command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, BoolValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_user_control_mode/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": true}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_user_control_mode/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_user_control_mode",
    "value": true
  },
  "result": "value"
}

Note: Payload depends on the executed command.

System Shutdown

  • Endpoint: /api/v2/commands/system_shutdown/
  • Function: Execute the system_shutdown command through the v2 command bridge.
  • Method: POST
  • Parameters: none
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/system_shutdown/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/system_shutdown/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "system_shutdown"
  },
  "result": "value"
}

Note: Payload depends on the executed command.